/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DAO;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.PreparedStatement;

/**
 *
 * @author norton
 */
public class ConexaoSQLite {
    private Connection conexao;
    
    public boolean conectar(){
        try{
            String url ="jdbc:sqlite:db/pw11.db";
            this.conexao = DriverManager.getConnection(url);
        } 
        catch(SQLException err) {
            System.err.println(err.getMessage());
            return false;
        }
        return true;
    }
    
    public boolean descontecar(){
        try{
            if(this.conexao.isClosed()==false){
                this.conexao.close();
            }
        } 
        catch(SQLException err) {
            System.err.println(err.getMessage());
            return false;
        }
        return true;
    }
    
    public Statement  criarStatement() {
        try{
            return this.conexao.createStatement();
        } 
        catch(SQLException err) {
            System.err.println(err.getMessage());
            return null;
        }
    }
    
    public Connection getConnection(){
        return this.conexao;
    }
    
    public PreparedStatement  prepareStatement(String sql) {
        try{
            return this.conexao.prepareStatement(sql);
        } 
        catch(SQLException err) {
            System.err.println(err.getMessage());
            return null;
        }
    }
    
}
